{
  "type": "minecraft:fishing",
  "pools": [
    {
      "bonus_rolls": 0.0,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:name_tag"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:experience_bottle"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "damage": {
                "type": "minecraft:uniform",
                "max": 0.25,
                "min": 0.0
              },
              "function": "minecraft:set_damage"
            },
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30.0,
              "options": "#minecraft:on_random_loot"
            }
          ],
          "name": "minecraft:bow"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "damage": {
                "type": "minecraft:uniform",
                "max": 0.25,
                "min": 0.0
              },
              "function": "minecraft:set_damage"
            },
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30.0,
              "options": "#minecraft:on_random_loot"
            }
          ],
          "name": "minecraft:crossbow"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "damage": {
                "type": "minecraft:uniform",
                "max": 0.25,
                "min": 0.0
              },
              "function": "minecraft:set_damage"
            },
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30.0,
              "options": "#minecraft:on_random_loot"
            }
          ],
          "name": "minecraft:fishing_rod"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30.0,
              "options": "#minecraft:on_random_loot"
            }
          ],
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30.0,
              "options": "vb:leeching"
            }
          ],
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30.0,
              "options": "vb:fireproof"
            }
          ],
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30.0,
              "options": "minecraft:mending"
            }
          ],
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:nautilus_shell"
        },
        {
          "type": "minecraft:loot_table",
          "value": "vb:items/disc/beach_vibe"
        },
        {
          "type": "minecraft:loot_table",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "#minecraft:is_jungle"}}],
          "value": "vb:items/enchanted_golden_melon_slice"
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "minecraft:lush_caves"}}],
          "name": "minecraft:spore_blossom"
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "minecraft:pale_garden"}}],
          "name": "minecraft:creaking_heart"
        },
        {
          "type": "minecraft:loot_table",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "minecraft:desert"}}],
          "value": "vb:items/enchanted_golden_carrot"
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "minecraft:deep_dark"}}],
          "name": "minecraft:book","functions":[{"function": "minecraft:enchant_randomly","options": "minecraft:swift_sneak"}]
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "#vb:is_warm_ocean"}}],
          "name": "minecraft:raw_copper_block"
        },
        {
          "type": "minecraft:loot_table",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "#vb:is_deep_ocean"}}],
          "value": "vb:items/depth_meter"
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "#vb:is_cold_ocean"}}],
          "name": "minecraft:iron_ingot"
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "#minecraft:is_river"}}],
          "name": "minecraft:prismarine_shard"
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "#minecraft:is_beach"}}],
          "name": "minecraft:turtle_scute"
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "minecraft:dripstone_caves"}}],
          "name": "minecraft:large_amethyst_bud"
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "#minecraft:is_forest"}}],
          "name": "minecraft:chainmail_boots"
        },
        {
          "type": "minecraft:item",
          "conditions": [{"condition": "minecraft:location_check","predicate": {"biomes": "#vb:has_snow"}}],
          "name": "minecraft:raw_iron"
        }
      ],
      "rolls": 1.0
    }
  ],
  "random_sequence": "minecraft:gameplay/fishing/treasure"
}